org.apache.ignite.internal.processors.cache.persistence

## Interface CorruptedPersistenceException

All Known Implementing Classes:
  AbstractCorruptedPersistenceException, CorruptedFreeListException, CorruptedPartitionMetaPageException, CorruptedTreeException

    public interface CorruptedPersistenceException

Interface to distinguish exceptions that were caused by broken persistence datastructures invariants.

### Method Summary

All Methods Instance Methods Abstract Methods
`T2<Integer,Long>[]` `pages()`

### Method Detail

#### pages

    T2<Integer,Long>[] pages()

Returns:
  (groupId, pageId) pairs for pages that might be corrupted.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022